dependent-sum-template-0.2.0.2: Template Haskell code to generate instances of classes in some package

Safe Haskell | None
Language | Haskell2010

Data.GADT.Compare.TH

# Documentation

class DeriveGEQ t where Source #

Methods

deriveGEq :: t -> Q [Dec] Source #

#### Instances

Instances details

DeriveGEQ Dec Source # |
Instance details Defined in Data.GADT.Compare.TH Methods deriveGEq :: Dec -> Q [Dec] Source #
DeriveGEQ Name Source # |
Instance details Defined in Data.GADT.Compare.TH Methods deriveGEq :: Name -> Q [Dec] Source #
DeriveGEQ t => DeriveGEQ (Q t) Source # |
Instance details Defined in Data.GADT.Compare.TH Methods deriveGEq :: Q t -> Q [Dec] Source #
DeriveGEQ t => DeriveGEQ [t] Source # |
Instance details Defined in Data.GADT.Compare.TH Methods deriveGEq :: [t] -> Q [Dec] Source #

class DeriveGCompare t where Source #

Methods

deriveGCompare :: t -> Q [Dec] Source #

#### Instances

Instances details

DeriveGCompare Dec Source # |
Instance details Defined in Data.GADT.Compare.TH Methods deriveGCompare :: Dec -> Q [Dec] Source #
DeriveGCompare Name Source # |
Instance details Defined in Data.GADT.Compare.TH Methods deriveGCompare :: Name -> Q [Dec] Source #
DeriveGCompare t => DeriveGCompare (Q t) Source # |
Instance details Defined in Data.GADT.Compare.TH Methods deriveGCompare :: Q t -> Q [Dec] Source #
DeriveGCompare t => DeriveGCompare [t] Source # |
Instance details Defined in Data.GADT.Compare.TH Methods deriveGCompare :: [t] -> Q [Dec] Source #

data GComparing (a :: k) (b :: k) t Source #

#### Instances

Instances details

Applicative (GComparing a b) Source # |

Instance details

Defined in Data.GADT.Compare.Monad

Methods

pure :: a0 -> GComparing a b a0 Source #

(<*>) :: GComparing a b (a0 -> b0) -> GComparing a b a0 -> GComparing a b b0 Source #

liftA2 :: (a0 -> b0 -> c) -> GComparing a b a0 -> GComparing a b b0 -> GComparing a b c Source #

(*>) :: GComparing a b a0 -> GComparing a b b0 -> GComparing a b b0 Source #

(<*) :: GComparing a b a0 -> GComparing a b b0 -> GComparing a b a0 Source #

Functor (GComparing a b) Source # |
Instance details Defined in Data.GADT.Compare.Monad Methods fmap :: (a0 -> b0) -> GComparing a b a0 -> GComparing a b b0 Source # (<$) :: a0 -> GComparing a b b0 -> GComparing a b a0 Source #
Monad (GComparing a b) Source # |
Instance details Defined in Data.GADT.Compare.Monad Methods (>>=) :: GComparing a b a0 -> (a0 -> GComparing a b b0) -> GComparing a b b0 Source # (>>) :: GComparing a b a0 -> GComparing a b b0 -> GComparing a b b0 Source # return :: a0 -> GComparing a b a0 Source #

runGComparing :: forall {k} {a :: k} {b :: k}. GComparing a b (GOrdering a b) -> GOrdering a b Source #

geq' :: forall {k1} {k2} t (a :: k1) (b :: k1) (x :: k2) (y :: k2). GCompare t => t a -> t b -> GComparing x y (a :~: b) Source #

compare' :: forall {k} {a1} {a2 :: k} {b :: k}. Ord a1 => a1 -> a1 -> GComparing a2 b () Source #